Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-3.22/mapctrl.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
mapctrl.h File Reference
`#include <gtk/gtk.h>`
`#include "fc_types.h"`
`#include "mapctrl_g.h"`

Go to the source code of this file.

## Functions

gboolean | butt_release_mapcanvas (GtkWidget *w, GdkEventButton *ev, gpointer data)
gboolean | butt_down_mapcanvas (GtkWidget *w, GdkEventButton *ev, gpointer data)
gboolean | butt_down_overviewcanvas (GtkWidget *w, GdkEventButton *ev, gpointer data)
gboolean | move_mapcanvas (GtkWidget *w, GdkEventMotion *ev, gpointer data)
gboolean | leave_mapcanvas (GtkWidget *widget, GdkEventCrossing *event)
gboolean | move_overviewcanvas (GtkWidget *w, GdkEventMotion *ev, gpointer data)
void | center_on_unit (void)
void | popupinfo_popdown_callback (GtkWidget *w, gpointer data)

## Function Documentation

## ◆ butt_down_mapcanvas()

gboolean butt_down_mapcanvas | ( | GtkWidget * | w,
|  | GdkEventButton * | ev,
|  | gpointer | data
| ) |  |

Handle all mouse button press on canvas. Future feature: User-configurable mouse clicks.

Definition at line 242 of file mapctrl.c.

Referenced by setup_widgets().

## ◆ butt_down_overviewcanvas()

gboolean butt_down_overviewcanvas | ( | GtkWidget * | w,
|  | GdkEventButton * | ev,
|  | gpointer | data
| ) |  |

Button pressed at overview

Definition at line 473 of file mapctrl.c.

Referenced by setup_widgets().

## ◆ butt_release_mapcanvas()

gboolean butt_release_mapcanvas | ( | GtkWidget * | w,
|  | GdkEventButton * | ev,
|  | gpointer | data
| ) |  |

Handle 'Mouse button released'. Because of the quickselect feature, the release of both left and right mousebutton can launch the goto.

Definition at line 221 of file mapctrl.c.

Referenced by setup_widgets().

## ◆ center_on_unit()

void center_on_unit | ( | void |  | ) |

Best effort to center the map on the currently selected unit(s)

Definition at line 496 of file mapctrl.c.

## ◆ leave_mapcanvas()

gboolean leave_mapcanvas | ( | GtkWidget * | widget,
|  | GdkEventCrossing * | event
| ) |  |

This function will reset the mouse cursor if it leaves the map.

Definition at line 435 of file mapctrl.c.

Referenced by setup_widgets().

## ◆ move_mapcanvas()

gboolean move_mapcanvas | ( | GtkWidget * | w,
|  | GdkEventMotion * | ev,
|  | gpointer | data
| ) |  |

Triggered by the mouse moving on the mapcanvas, this function will update the mouse cursor and goto lines.

Definition at line 406 of file mapctrl.c.

Referenced by setup_widgets().

## ◆ move_overviewcanvas()

gboolean move_overviewcanvas | ( | GtkWidget * | w,
|  | GdkEventMotion * | ev,
|  | gpointer | data
| ) |  |

Overview canvas moved

Definition at line 463 of file mapctrl.c.

Referenced by setup_widgets().

## ◆ popupinfo_popdown_callback()

void popupinfo_popdown_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

Information label destruction requested

Definition at line 167 of file mapctrl.c.